body{
margin:0;
background:#0b1120;
font-family:Arial;
color:white;
}

.container{
max-width:780px;
margin:auto;
padding:20px;
}

.header{
display:flex;
justify-content:space-between;
align-items:center;
margin-bottom:18px;
}

.logo{
font-size:30px;
font-weight:bold;
background:linear-gradient(to right,#60a5fa,#2563eb);
-webkit-background-clip:text;
-webkit-text-fill-color:transparent;
}

.menu{
display:flex;
gap:10px;
}

.menuBtn{
background:#1e293b;
padding:12px 16px;
border:none;
border-radius:14px;
color:white;
cursor:pointer;
font-size:14px;
}

select{
width:100%;
padding:15px;
border:none;
border-radius:16px;
margin-bottom:14px;
background:#111827;
color:white;
font-size:15px;
outline:none;
}

#chatBox{
height:380px;
overflow-y:auto;
background:#111827;
padding:15px;
border-radius:20px;
margin-bottom:16px;
border:1px solid rgba(255,255,255,0.05);
}

.message{
padding:15px;
margin-bottom:15px;
border-radius:18px;
line-height:1.9;
font-size:15px;
word-wrap:break-word;
}

.user{
background:#2563eb;
}

.bot{
background:#1e293b;
}

.bot h1,
.bot h2,
.bot h3{
margin-top:16px;
color:#60a5fa;
}

.bot strong{
color:#ffffff;
}

.inputArea{
display:flex;
gap:10px;
align-items:center;
}

input{
flex:1;
padding:15px;
border:none;
border-radius:15px;
font-size:15px;
background:#111827;
color:white;
outline:none;
}

button{
padding:14px 18px;
border:none;
background:#2563eb;
color:white;
border-radius:15px;
cursor:pointer;
font-size:14px;
}

.copyBtn{
margin-top:12px;
background:#0f172a;
font-size:13px;
padding:10px 14px;
}

.watermark{
text-align:center;
margin-top:18px;
opacity:0.5;
font-size:13px;
}
